org.apache.olingo.odata2.api.processor

## Interface ODataContext.RuntimeMeasurement

- Enclosing interface:
    ODataContext

      public static interface ODataContext.RuntimeMeasurement

  Runtime measurements.

  All times are in nanoseconds since some fixed but arbitrary time (perhaps in the future, so values may be negative).

  See Also:
    `System.nanoTime()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Gets the class name.
    `long` | `getMemoryStarted()` Gets the start heap memory used.
    `long` | `getMemoryStopped()` Gets the stop heap memory used.
    `String` | `getMethodName()` Gets the method name.
    `long` | `getTimeStarted()` Gets the start time.
    `long` | `getTimeStopped()` Gets the stop time.
    `void` | `setClassName(String className)` Sets the class name.
    `void` | `setMemoryStarted(long usedHeap)` Sets the start heap memory used.
    `void` | `setMemoryStopped(long usedHeap)` Sets the stop heap memory used.
    `void` | `setMethodName(String methodName)` Sets the method name.
    `void` | `setTimeStarted(long timeStarted)` Sets the start time.
    `void` | `setTimeStopped(long timeStopped)` Sets the stop time.

- - ### Method Detail

    - #### setClassName

          void setClassName(String className)

      Sets the class name.
      Parameters:
        `className` - the name of the class that is measured

    - #### getClassName

          String getClassName()

      Gets the class name.
      Returns:
        the name of the class that is measured

    - #### setMethodName

          void setMethodName(String methodName)

      Sets the method name.
      Parameters:
        `methodName` - the name of the method that is measured

    - #### getMethodName

          String getMethodName()

      Gets the method name.
      Returns:
        the name of the method that is measured

    - #### setTimeStarted

          void setTimeStarted(long timeStarted)

      Sets the start time.
      Parameters:
        `timeStarted` - the start time in nanoseconds
      See Also:
        `System.nanoTime()`

    - #### getTimeStarted

          long getTimeStarted()

      Gets the start time.
      Returns:
        the start time in nanoseconds or 0 if not set yet
      See Also:
        `System.nanoTime()`

    - #### setTimeStopped

          void setTimeStopped(long timeStopped)

      Sets the stop time.
      Parameters:
        `timeStopped` - the stop time in nanoseconds
      See Also:
        `System.nanoTime()`

    - #### getTimeStopped

          long getTimeStopped()

      Gets the stop time.
      Returns:
        the stop time in nanoseconds or 0 if not set yet
      See Also:
        `System.nanoTime()`

    - #### setMemoryStarted

          void setMemoryStarted(long usedHeap)

      Sets the start heap memory used.
      Parameters:
        `usedHeap` - the start heap memory used in bytes
      See Also:
        `ManagementFactory`

    - #### setMemoryStopped

          void setMemoryStopped(long usedHeap)

      Sets the stop heap memory used.
      Parameters:
        `usedHeap` - the stop heap memory used in bytes
      See Also:
        `ManagementFactory`

    - #### getMemoryStarted

          long getMemoryStarted()

      Gets the start heap memory used.
      Returns:
        start heap memory used or 0 if not set
      See Also:
        `ManagementFactory`

    - #### getMemoryStopped

          long getMemoryStopped()

      Gets the stop heap memory used.
      Returns:
        stop heap memory used or 0 if not set
      See Also:
        `ManagementFactory`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.